*This code reads in the original csv file and makes the analysis data file
clear all
set more off
global dir "/Users/javier/Dropbox/_Papers/DV/Gender-Differences/Stata-Analysis/Travel-Patterns
import delimited "$dir/Analysis/Tables/routes_data_processed_G_v3.csv", encoding(ISO-8859-1) clear
ren issuing_country country_code
merge m:1 country_code using "$dir/Analysis/preference.dta"
drop if _merge==2
gen pref_data = _merge==3
drop _merge
gen log_paid_fare = log(paid_fare_usd)
*Create categorigal variables that we can usin regressions
encode age_bins, gen(ageb)
encode length_bins, gen(lengthb)
encode trip_bins, gen(ntripb)
encode country_code, gen(countryb)
encode bk_adv_bins_26, gen(bookbin)
encode trav_class_2, gen(emptype)
encode region_code, gen(regionb)
egen routeclass = group(o_d_airport ticketclass)
*Create interaction variables
foreach pref in patience risktaking altruism posreciprocity negreciprocity trust {
  gen f`pref' = female*`pref'
  _crcslbl f`pref' `pref'
}
foreach var in regionb ageb lengthb ntripb {
   gen f`var' = female*`var'
   label val f`var' `: value label `var''
  _crcslbl f`var' `var'
}
gen premticket = ticketclass!="Economy"
gen seven_days_prior = bookadvance>=7 & bookadvance!=.
label var direct "Direct Flight"
label var premticket "Premium Ticket"
label var paid_fare_usd "Fare"
label var log_paid_fare "log(fare)"
label var female Female
save "$dir/booking_ana_data_v2.dta", replace
