clear all
set maxvar 80000
set matsize 11000
set more off
capture log close
log using gdecom.log, replace
global dir 		"/DV-Gender-Differences/Travel-Patterns"
use "$dir/booking_ana_data_v2.dta"
local outcomevar paid_fare_usd
local group1a 	"lengthb direct routeclass weekstarttrip"
local group1b 	"divisionid countryb" 
local group2 	"ntripb ageb emptype" 
local group2i 	"i.ntripb i.ageb i.emptype"
local group3 	"bookbin" 
local group3i 	"i.bookbin"
reghdfe `outcomevar' female i.lengthb direct, absorb(routeclass weekstarttrip divisionid countryb)
gen sample = e(sample)
reg `outcomevar' female if sample==1
scalar bx1base = _b[female]
reghdfe `outcomevar' female i.lengthb direct i.ntripb i.ageb i.emptype if sample==1, absorb(routeclass weekstarttrip divisionid countryb bookbin)
scalar bx1full = _b[female]
scalar delta = bx1base - bx1full
reghdfe `outcomevar' female `group2i' `group3i' if sample==1, absorb(`group1a' `group1b', savefe) resid
predict double d_g1 if sample==1, d
reghdfe `outcomevar' female `group3i' if sample==1, absorb(`group1a' `group1b' `group2', savefe) resid
predict double d_g12 if sample==1, d
reghdfe `outcomevar' female if sample==1, absorb(`group1a' `group1b' `group2' `group3', savefe) resid
predict double d_g123 if sample==1, d
reg d_g1 	female
scalar delta_g1 = _b[female]
reg d_g12 	female
scalar delta_g12 = _b[female]
reg d_g123 	female
scalar delta_g123 = _b[female]
scalar delta_g2 = delta_g12 - delta_g1
scalar delta_g3 = delta_g123 - delta_g1 - delta_g2
di delta_g1
di delta_g2
di delta_g3
di delta
log close
