clear all
set more off
capture log close
global dir 			"/DV-Gender-Differences/Travel-Patterns"
global dirout 		"/DV-Gender-Differences/Travel-Patterns"
use "$dir/booking_ana_data_v2.dta", clear 

local estoutcome = 1
local ticketcov "i.lengthb direct"
local ticketcovdrop "*.lengthb direct"
local routeFE "routeclass"
if (`estoutcome'==1) {
 local outcomevar paid_fare_usd
 local outcomename "Paid fare"
}
timer on 1
reghdfe `outcomevar' female `ticketcov', absorb(`routeFE' weekstarttrip divisionid countryb) vce(cluster divisionid)
eststo est3
quietly estadd scalar adjR2 = e(r2_a)
timer off 1
timer list 1
timer clear 1
capture drop sample
gen sample = e(sample)

* Kernel Density
rename paid_fare_usd coefVar 
rename female VSC
capture drop d_cv xx_cv 
capture drop d_cv1 xx_cv1
capture drop d_cv0 xx_cv0 
capture drop d_cv11 xx_cv11
capture drop d_cv01 xx_cv01
local kernel gau 
local bwe = .15  
quietly sum coefVar
local ub = `r(max)'*1.01
local lb = 0
quietly kdens coefVar if sample==1, kernel(`kernel') gen(d_cv xx_cv) nograph ll(`lb') ul(`ub') bw(`bwe')
local kernel gau 
local bwe = .15  
quietly sum coefVar
local ub = `r(max)'*1.01
local lb = 0
quietly kdens coefVar if VSC == 1 & sample==1, kernel(`kernel') gen(d_cv1 xx_cv1) nograph ll(`lb') ul(`ub') bw(`bwe')
local kernel gau
local bwe = .15 
quietly sum coefVar
local ub = `r(max)'*1.01
local lb = 0
quietly kdens coefVar if VSC == 0 & sample==1, kernel(`kernel') gen(d_cv0 xx_cv0) nograph ll(`lb') ul(`ub') bw(`bwe')
drop if coefVar>7344.00

log using "$dirout/log-graph", text replace
/* PDF */
#delimit ;
   	twoway 
	(line d_cv1 	xx_cv1 if sample==1)
   	(line d_cv0 	xx_cv0 if sample==1),
 	ytitle("PDF") ytitle(, size(small) margin(small))
	xtick(0(500)7500, grid) xlabel(0(1000)7000,  labsize(small) )
   	xtitle("Paid Fare (U.S. dollars)") xtitle(, size(small)) xlabel(, labsize(small)) 
   	legend(order(1 "Women" 2 "Men") size(small) rowgap(zero) nobox on position(1) ring(0)) scheme(sj) graphregion(fcolor(white));
#delimit cr
local saveGraphFile = 	"$dirout/Distribution_PDF_All_bygender.png"
quietly graph export	"`saveGraphFile'", replace
* CDF
preserve
g vscc = 1 if VSC == 0
replace vscc = 0 if VSC == 1
#delimit ;
	cdfplot coefVar if sample==1, by(vscc) 
	xtitle(Paid Fare (U.S. dollars)) 
	xtitle(, size(small)) xlabel(, labsize(small))  scheme(sj) graphregion(fcolor(white))
	xtick(0(500)7500, grid) xlabel(0(1000)7000,  labsize(small) )
	legend(order(1 "Women" 2 "Men") size(small) nobox on position(5) ring(0)) 
	ytitle(CDF) ytitle(, size(small) margin(small)) ylabel(0(.2)1, labsize(small)) yscale(range(0 1)) ymtick(0(.2)1) ylabel( 0(.2)1);
#delimit cr
local saveGraphFile = 	"$dirout/Distribution_CDF_All_bygender.png"
quietly graph export	"`saveGraphFile'", replace
restore
log close
